<?php

namespace IGD;

defined( 'ABSPATH' ) || exit;
class Integration
{
    private static  $instance = null ;
    public function __construct()
    {
        // Classic editor
        if ( $this->is_active( 'classic-editor' ) ) {
            require_once IGD_INCLUDES . '/class-tinymce.php';
        }
        // Block editor
        if ( $this->is_active( 'gutenberg-editor' ) ) {
            require_once IGD_PATH . '/block/class-block.php';
        }
        // Elementor
        if ( $this->is_active( 'elementor' ) ) {
            require_once IGD_PATH . '/elementor/class-elementor.php';
        }
    }
    
    /**
     * Check if integration is active
     *
     * @param $key
     *
     * @return bool
     */
    public function is_active( $key )
    {
        $integrations = igd_get_settings( 'integrations', [ 'classic-editor', 'gutenberg-editor', 'elementor' ] );
        return in_array( $key, $integrations );
    }
    
    public static function instance()
    {
        if ( null === self::$instance ) {
            self::$instance = new self();
        }
        return self::$instance;
    }

}
Integration::instance();