<div id="basic-usage" class="getting-started-content content-basic-usage">
    <div class="content-heading">
        <h2>Basic Usage</h2>
        <p>Learn the basic usage of the plugin.</p>
    </div>

<!--    Link a Google Account -->
    <section class="section-add-account section-full">
        <div class="col-description">
            <h2>Link a Google account</h2>
            <p>After activating the plugin you have to link your Google account to the plugin. You can link multiple
                Google account to the plugin.</p>

            <h4>Follow the below steps to add a Google account to the plugin:</h4>
            <ol>
                <li>Go to the Google Drive or <strong>Google Drive > Settings</strong> page in the WordPress admin dashboard on your website.</li>
                <li>Click on the Add account button.</li>
                <li>A new window will open, you will be redirected to the Google login page to login with your email.</li>
                <li>Select the email address with which you want to login.</li>
                <li>Click the Allow button to authorize the plugin to access your Google Drive data.</li>
                <li>Wait for the authorization process, then you are done!</li>
            </ol>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/ZatIhm8JM2s?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>

    </section>

    <section class="section-shortcode-builder section-full">
        <div class="col-description">
            <h2>Shortcode Module Builder</h2>
            <p>You can create any numbers of shortcode module and use them in your post/ page using the <code>[integrate_google_drive]</code>
                shortcode.</p>

            <h4>There are several module types to create a shortcode. Those are:</h4>
            <ol>
                <li><strong>File Browser</strong> - Users can browse your Google Drive files.</li>
                <li><strong>Embed Document</strong> - Embed any Google Drive file to your page/ post.</li>
                <li><strong>File Uploader</strong> - Users can upload files to your Google Drive account from your
                    website.
                </li>
                <li><strong>Photo Gallery</strong> - Lightbox grid photo gallery module.</li>
                <li><strong>Audio & Video Player</strong> - Play audio and video in a single player using this module.
                </li>
                <li><strong>File Search</strong> - Users can search any Google Drive files from your website using this
                    module.
                </li>
                <li><strong>File View Links</strong> - Insert any Google Drive file view link to yor page/ post.</li>
                <li><strong>File Download Links</strong> - Insert any Google Drive file download link to yor page/ post
                </li>
            </ol>
        </div>

        <div class="col-image">
            <iframe className="aspect-video rounded shadow w-[700px]"
                    src="https://www.youtube.com/embed/8M84lcvfCiI?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>

    </section>

    <section class="section-embed section-full">
        <div class="col-description">
            <h2>Embed Documents</h2>
            <p>YYou can embed any Google Drive files to your page/ post in two ways.</p>

            <h4>Those are:</h4>
            <ol>
                <li><strong>Shortcode Builder</strong> - To embed any documents with the shortcode builder you have to
                    select the Embed Documents type.
                </li>
                <li><strong>Classic Editor Button</strong> - You can embed your Google Drive documents using the classic
                    editor Google Drive button while you are editing any page/ post.
                </li>
            </ol>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/LsXK0XWqLyI?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>

    </section>

    <section class="section-links section-full">
        <div class="col-description">
            <h2>Insert Download/ View Links</h2>
            <p>You can insert direct links in any page/ post to download and view any Google Drive files.
                Here also you can insert the direct links to download/ view using two ways. Those are:</p>

            <h4>There are several module types to create a shortcode. Those are:</h4>
            <ol>
                <li><strong>Shortcode Builder</strong> - To insert any Google Drive files links with the shortcode
                    builder you have to select the File Download Link/ File View Link type.
                </li>
                <li><strong>Classic Editor Button</strong> - You can also insert any Google Drive files links using the
                    Classic Editor Google Drive button while you are editing any page/ post.
                </li>
            </ol>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/XZh6B58F9uM?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>

    </section>

    <section class="section-private-folders section-full">
        <div class="col-description">
            <h2>Private Folders</h2>

            <p>Private Folders allow you to link specific WordPress users to specific folders in the cloud.</p>

            <p>Using Private Folders you can easily and securely share your Google Drive documents with your
                users/clients. This allows your users/ clients to view, download and manage their documents in their own
                private folders.</p>

            <h4>The Private Folders can be useful in some situations, for example:</h4>
            <ol>
                <li>You want your clients, users or guests upload files to their own folder</li>
                <li>You want to share documents with your users/ clients privately</li>
                <li>Private Folders can be assigned to a user both automatically or manually.</li>
                <li>You can assign the folders to the users manually from the Private Folders page.</li>
            </ol>

            <h4>To link the folders for the users, follow the below steps:</h4>
            <ol>
                <li>Go to Admin Dashboard > Google Drive > Private Folders</li>
                <li>Click on the Select Folders button on the users list. Then a new popup dialog will open.</li>
                <li>Select the folders from the popup dialog.</li>
                <li>Then click on the Done button on the top of the dialog.</li>
                <li>You can also enable the auto creates private folders for each user when a new user is registered
                    from
                    the Settings page.
                </li>
            </ol>

            <h4>For displaying the private folders for the users, follow the below steps:</h4>
            <ol>
                <li>Go to the Shortcode Builder and create a new shortcode module.</li>
                <li>On the source tab, turn ON the Use Private Folders option.</li>
                <li>Copy the shortcode and use it any page.</li>
                <li>Now, while the users will visit the page they can navigate through the folders that are linked to
                    their
                    account.
                </li>
            </ol>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/ZUJBjQdYy4k?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>

    </section>

</div>